Package org.eclipse.microprofile.fault.tolerance.tck.config.clientserver

# Class ConfigClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.config.clientserver.ConfigClient

@RequestScoped public class ConfigClient extends Object
A client to support Fault Tolerance Configuration tests.

Author:
  Neil Young

## Constructor Summary

Constructors
Constructor
Description
`ConfigClient()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCounterForInvokingConnectionService()`
`int`
`getRetryCountForWritingService()`
`Connection`
`serviceA()`
`void`
`serviceC()`
Max retries is configured to 90 but the max duration is 3 seconds with a default durationUnit of milliseconds.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigClient

public ConfigClient()

## Method Details

### serviceA

@Retry(maxRetries=5) public Connection serviceA()

### serviceC

@Retry(maxRetries=90, maxDuration=3000L) public void serviceC()
Max retries is configured to 90 but the max duration is 3 seconds with a default durationUnit of milliseconds. Once the duration is reached, no more retries should be performed.

### getCounterForInvokingConnectionService

public int getCounterForInvokingConnectionService()

### getRetryCountForWritingService

public int getRetryCountForWritingService()